local entity = require("entity")
local window = require("window")
local sundial = require("room/sundial")

local m = entity:from{
    width = 60,
    height = 60,
    lines = {'fill', {30, 30, 60, 40, 60, 50, 30, 60, 0, 50, 0, 40}},
}

local install = m.install
function m:install(room, x, y)
    self.sundial = sundial:from{
        numbers = self.numbers,
        room = room,
    }

    install(self, room, x, y)
end

m.mousepressed = window.mousepressed(function (self)
    set_room_raw(self.sundial)
end)

return m
