local window = require("window")
local room = require("room")
local edge = require("edge")

local m = room:new()

local from = m.from
function m:from(t)
    local n = from(self, t)

    edge.set(n, 'down', n.room)

    return n
end

m.draw = window.draw(function (self)
    love.graphics.printf(self.text, 80, 40, 160)

    self.edges[1]:draw()
end)

return m
